#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main(){
	int x,n,t=0;
	cin>>n>>x;
	int a[n];
	for(int i=0;i<n;i++)
		cin>>a[i];
	sort(a, a+n);
	if(x<a[0])
		cout<<a[n-1]-x;
	else if(a[n-1]<x)
		cout<<x-a[0];
	else{
		if((a[n-1]-x)<(x-a[0]))
			cout<<2*a[n-1]-x-a[0];
		else
			cout<<x+a[n-1]-2*a[0];
	}
	}